%define oname CDDB
%define version 1.4
%define pyversion 2.4
%define pysystemver 2.4
%define release 3mdk

Summary: Python CDDB module
Name: python-%{oname}
Version: %{version}
Release: %{release}
Source0: %{oname}-%version.tar.bz2
License: GPL
Group: Development/Python
URL: http://cddb-py.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libpython-devel >= %pyversion
Requires: python

%description
The dynamic duo of CDDB.py and DiscID.py, along with their side-kick C
module cdrommodule.so, provide an easy way for Python programs to
fetch information on audio CDs from CDDB (http://www.cddb.com/) -- a
very large online database of track listings and other information on
audio CDs.  UNIX platforms and Windows are both supported.


%prep
%setup -q -n %oname-%version

%build
python setup.py build

%install
rm -rf %buildroot
python setup.py install --root %buildroot

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%_libdir/python%{pysystemver}/site-packages/*
%changelog
* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.4-3mdk
- Rebuild for new python

* Fri Oct  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4-2mdk
- rebuild

* Mon Sep  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.4-1mdk
- new version

* Mon Aug 11 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.3-6mdk
- rebuild for new python
- drop Prefix tag

* Tue Jul  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3-5mdk
- fix required python version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-4mdk
- fix required python version
- rebuild

* Fri Jul 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3-3mdk
- adjust buildrequires

* Sun Jan  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.3-2mdk
- updated BuildRequires
- python 2.2

* Sun Nov 25 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.3-1mdk
- initial package
